Mail archive
alpine-aports

[alpine-aports] [PATCH] main/halberd: new upstream url, fix docs

From: Christian Kampka <christian_at_kampka.net>
Date: Fri, 6 Nov 2015 23:19:38 +0100

---
 main/halberd/APKBUILD                 | 31 +++++++++++++++++++------------
 main/halberd/fix-script-include.patch | 16 ++++++++++++++++
 2 files changed, 35 insertions(+), 12 deletions(-)
 create mode 100644 main/halberd/fix-script-include.patch
diff --git a/main/halberd/APKBUILD b/main/halberd/APKBUILD
index 4e4bb95..3ec01d1 100644
--- a/main/halberd/APKBUILD
+++ b/main/halberd/APKBUILD
_at_@ -2,18 +2,19 @@
 # Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
 pkgname=halberd
 pkgver=0.2.4
-pkgrel=0
+pkgrel=1
 pkgdesc="Tool to discover HTTP load balancers"
 url="http://halberd.superadditive.com"
 arch="noarch"
 license="GPL2+"
 depends="python"
 depends_dev=""
-makedepends="python-dev"
+makedepends="python-dev help2man"
 install=""
 subpackages="$pkgname-doc"
-source="http://$pkgname.superadditive.com/dist/$pkgname-$pkgver.tar.gz
-		$pkgname-sslwrap.patch"
+source="$pkgname-$pkgver.tar.gz::https://github.com/jmbr/$pkgname/archive/$pkgver.tar.gz
+		$pkgname-sslwrap.patch
+		fix-script-include.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -29,6 +30,9 @@ prepare() {
 build() {
 	cd "$_builddir"
 	python setup.py build || return 1
+	mkdir -p $_builddir/man/man1
+	help2man --include $_builddir/help2man.cfg --no-info $_builddir/scripts/halberd --output $_builddir/man/man1/halberd.1
+
 }
 
 package() {
_at_@ -39,12 +43,15 @@ package() {
 doc() {
 	# The man page is not picked-up automatically
 	mkdir -p "$subpkgdir"/usr/share/man || return 1
-	mv "$_builddir"/man/man* "$subpkgdir"/usr/share/man/ || return 1
+	mv "$_builddir"/man/ "$subpkgdir"/usr/share/ || return 1
+	default_doc
 }
-
-md5sums="d60d0fba8f379ea72c623ad1dd6052c3  halberd-0.2.4.tar.gz
-a46227da33465e246017c8ec4650d76f  halberd-sslwrap.patch"
-sha256sums="5746484757b65191ae5062e9dda972eed7e876620ee348929b1b9490077d8f28  halberd-0.2.4.tar.gz
-6541afcd3d5bd1f7eb37683f81242986ea8e1db73f5a7dc732bfe89373fa3249  halberd-sslwrap.patch"
-sha512sums="80563f9a903a034163ede3319e88305bce8d2de9541aa1fc4d42dff6dd55516d000b0e50af6a053e3c894d6f30bb9d0d27461d0b353ff246b281def8ce6dfd80  halberd-0.2.4.tar.gz
-8ee49b553301f36fb22c88b07b0c6306d12fabb3074382cdac5b7203a58c21a225330a40b11eba518fbd1377f4a6370285736aeaf6c8807f84e77086c5b1754a  halberd-sslwrap.patch"
+md5sums="8cd4e14ce84e5fb9f9f435145792c601  halberd-0.2.4.tar.gz
+a46227da33465e246017c8ec4650d76f  halberd-sslwrap.patch
+71e41dc35b55ef7ec60befe465e150c1  fix-script-include.patch"
+sha256sums="744a9efb1acddb3aedb3e2889a2a4c6461ffbf57adf84421022b7ab47ef12fa6  halberd-0.2.4.tar.gz
+6541afcd3d5bd1f7eb37683f81242986ea8e1db73f5a7dc732bfe89373fa3249  halberd-sslwrap.patch
+3627f2b5a1384fa797ce2cca4b6935353b6bf211fe06928c139fe4bf088f2650  fix-script-include.patch"
+sha512sums="133eb683f46a078b45023198746c583ae96cd54b75eedbc46a3d49675307927a7d9f05383e312b589fa5efe79e68c75fcd1d31649df2852ca27cc5d30c307672  halberd-0.2.4.tar.gz
+8ee49b553301f36fb22c88b07b0c6306d12fabb3074382cdac5b7203a58c21a225330a40b11eba518fbd1377f4a6370285736aeaf6c8807f84e77086c5b1754a  halberd-sslwrap.patch
+24288ba822b33a55cd2a69ca1cfa18241f6bf937fd73e5edc0f9f78b6f49c137869bf064ab6574b1c9a17cf32edf1b8e04abc58f1c5610e0cdf534118c13f5b8  fix-script-include.patch"
diff --git a/main/halberd/fix-script-include.patch b/main/halberd/fix-script-include.patch
new file mode 100644
index 0000000..a4fc3d5
--- /dev/null
+++ b/main/halberd/fix-script-include.patch
_at_@ -0,0 +1,16 @@
+diff --git scripts/halberd scripts/halberd
+index cf01b1e..2b5c218 100755
+--- scripts/halberd
++++ scripts/halberd
+_at_@ -20,8 +20,9 @@
+ # along with this program; if not, write to the Free Software
+ # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+-
+-import sys
++import sys, os
++if os.path.dirname(os.path.abspath(sys.argv[0])) == os.path.abspath("scripts"):
++    sys.path.insert(0, "./")
+
+ import Halberd.shell
+ import Halberd.logger
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 23:19:38 GMT